/*
 * Rutinas para capturar imgenes en Video4Linux
 * =============================================
 * 
 * (c) 1998-2002 Daniel Serpell C.
 * 
 */
 
/*
 * capture.h: Header rutinas para capturar cuadros a memoria.
 */

#ifndef CAPTURE_H
#define CAPTURE_H

struct capture_options
{
   char * devname;
   int sizex;
   int sizey;
   int format;
   int channel;
};

/* Data formats */
#define CAPTURE_FORMAT_GRAY8	1
#define CAPTURE_FORMAT_YV12     15

struct _struct_capture;
typedef struct _struct_capture struct_capture;

/* Abre el dispositivo, pide las capacidades y setea los parmetros */
struct_capture *capture_init(struct capture_options *copt, int verbose);
int capture_getframe(struct_capture *data, int fnum );
int capture_syncframe(struct_capture *data, int fnum );
unsigned char * capture_getbuffer(struct_capture *data, int f);
int capture_getbufsize(struct_capture *data);

#endif /* CAPTURE_H */
